Mais

Erro Python com o plugin OpenLayers QGIS 2


Eu uso o QGIS há algum tempo, mas desde que usei o QGIS 2, o plugin OpenLayers não funciona para mim no meu PC doméstico. No entanto, instalei a mesma versão em meu local de trabalho com sucesso. Eu olhei em outros posts e tentei configurar o CRS e permitir on the fly, mas não funciona para mim.

Alguém pode oferecer alguma outra orientação?

Eu também tentei desinstalar / reinstalar.

Código de erro abaixo:

Ocorreu um erro ao executar o código Python:

Traceback (última chamada mais recente): Arquivo "C: Users Lee / .qgis2 / python / plugins openlayers_plugin openlayers_plugin.py", linha 48, em addLayer self.plugin.addLayer (self) File "C: Users Lee / .qgis2 / python / plugins openlayers_plugin openlayers_plugin.py", linha 194, em addLayer layer = OpenlayersLayer (self.iface, self .__ coordRSGoogle, self.olLayerTypeRegistry) Arquivo "C: Users Lee / .qgis2 / python / plugins openlayers_plugin openlayers_layer.py", linha 64, em __init self.page = OLWebPage () Arquivo "C: Users Lee / .qgis2 / python / plugins openlayers_plugin openlayers_layer.py", linha 38, em iniciar proxy = getProxy () Arquivo "C: Users Lee / .qgis2 / python / plugins openlayers_plugin tools_network.py", linha 42, em getProxy proxy.setPort (settings.value ("/ proxyPort", 10, type = int)) TypeError: incapaz de converter um QVariant do tipo 10 em um QMetaType do tipo 2

Versão do Python: 2.7.5 (padrão, 15 de maio de 2013, 22:44:16) [MSC v.1500 64 bits (AMD64)]

Versão QGIS: 2.0.1-Dufour Dufour, d94c044

Caminho do Python: ['C: / PROGRA ~ 1 / QGISDU ~ 1 / apps / qgis /./ python / plugins processing', 'C: Users Lee .qgis2 python plugins GeoCoding', 'C: /PROGRA~1/QGISDU~1/apps/qgis/./python ',' C: Users Lee / .qgis2 / python ',' C: Users Lee / .qgis2 / python / plugins ',' C : / PROGRA ~ 1 / QGISDU ~ 1 / apps / qgis /./ python / plugins ',' C: PROGRA ~ 1 QGISDU ~ 1 bin python27.zip ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 DLLs ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib plat-win ' , 'C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib lib-tk', 'C: PROGRA ~ 1 QGISDU ~ 1 bin', 'C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages PIL ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages win32 ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages win32 lib ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages Pythonwin ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site -packages Shapely-1.2.18-py2.7-win-amd64.egg ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages six-1.3.0-py2.7.egg ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages wx-2.8- msw-unicode ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages xlrd-0.9.2-py2.7.egg ',' C: PROGRA ~ 1 QGISDU ~ 1 apps Python27 lib site-packages xlwt-0.7.5-py2.7.egg ',' C: Users Lee .qgis2 python plugins mmqgis / forms ',' C: PROGRA ~ 1 QGISDU ~ 1 apps qgis python plugins fTools tools ']


Se o plug-in OpenLayers falhar com um erro em 'getProxy', verifique se as configurações de proxy no menu de opções estão corretas.


FIY, o desenvolvedor do QGIS está pensando em descontinuar o plug-in OpenLayers em favor de QuickMapServices (já disponível nas extensões)

Por quê? É principalmente um plugin desatualizado que você deve evitar. Foi útil há alguns anos, mas não lida bem com projeções.


Tive o mesmo problema e a solução foi

configurações> opção> rede (desmarque proxy)

E esse foi o fim do meu problema


Assista o vídeo: Openlayers Plugin in QGIS. Overlay Google Map Satellite in QGIS (Outubro 2021).